Subject: Re: [Bug 220774] New: netem is broken in 6.18

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Nov 2025 17:55:56 -0800

On Fri, 21 Nov 2025 16:13:22 -0800 Stephen Hemminger wrote:
> On Fri, 21 Nov 2025 13:45:06 -0800
> Cong Wang <[email-masked]> wrote:
> 
> > On Fri, Nov 21, 2025 at 07:52:37AM -0500, Jamal Hadi Salim wrote:
> >    
> > > [email-masked]: Can you please provide more details about what you
> > > are trying to do so we can see if a different approach can be
> > > prescribed?
> > >     
> > 
> > An alternative approach is to use eBPF qdisc to replace netem, but:
> > 1) I am not sure if we could duplicate and re-inject a packet in eBPF Qdisc
> > 2) I doubt everyone wants to write eBPF code when they already have a
> > working cmdline.
> > 
> > BTW, Jamal, if your plan is to solve them one by one, even if it could work,
> > it wouldn't scale. There are still many users don't get hit by this
> > regression yet (not until hitting LTS or major distro).
> 
> The bug still needs to be fixed.
> eBPF would still have the same kind of issues.

I guess we forgot about mq.. IIRC mq doesn't come into play in
duplication, we should be able to just adjust the check to allow 
the mq+netem hierarchy?